export default {
	API_URL: import.meta.env.VITE_API_URL || 'https://languagelab.sipr.ucl.ac.be/api/v1',
	API_PROXY: import.meta.env.VITE_API_PROXY || 'https://languagelab.sipr.ucl.ac.be:8000',
	APP_URL: import.meta.env.VITE_APP_URL || 'https://languagelab.sipr.ucl.ac.be',
	WS_URL: import.meta.env.VITE_WS_URL || 'wss://languagelab.sipr.ucl.ac.be/api/v1/ws',
	// 1 week - 2 hours
	WEEKLY_SURVEY_INTERVAL: (7 * 24 - 2) * 60 * 60 * 1000,
	LEARNING_LANGUAGES: {
		fra: 'French - fran\u00e7ais'
	},
	SPECIAL_CHARS: [
		'à',
		'â',
		'ç',
		'é',
		'è',
		'ê',
		'ë',
		'î',
		'ô',
		'œ',
		'ù',
		'û',
		'ü',
		'À',
		'Ç',
		'É',
		'È',
		'Ê',
		'Î',
		'Ô',
		'Œ'
		// 'É',
		// 'È',
		// 'Ê',
		// 'Î',
		// 'Ï',
		// 'Ù',
		// '€'
	],
	PRIMARY_LANGUAGE: {
		fra: 'French - fran\u00e7ais',
		eng: 'English - English',
		nld: 'Dutch - Nederlands',
		spa: 'Spanish - Espa\u00f1ol',
		ita: 'Italian - Italiano',
		deu: 'German - Deutsch',
		abk: 'Abkhaz - \u0430\u04a7\u0441\u0443\u0430 \u0431\u044b\u0437\u0448\u04d9\u0430',
		aar: 'Afar - Afaraf',
		afr: 'Afrikaans - Afrikaans',
		aka: 'Akan - Akan',
		sqi: 'Albanian - Shqip',
		amh: 'Amharic - \u12a0\u121b\u122d\u129b',
		ara: 'Arabic - \u0627\u0644\u0639\u0631\u0628\u064a\u0629',
		arg: 'Aragonese - aragon\u00e9s',
		hye: 'Armenian - \u0540\u0561\u0575\u0565\u0580\u0565\u0576',
		asm: 'Assamese - \u0985\u09b8\u09ae\u09c0\u09af\u09bc\u09be',
		ava: 'Avaric - \u0430\u0432\u0430\u0440 \u043c\u0430\u0446\u04c0',
		ave: 'Avestan - avesta',
		aym: 'Aymara - aymar aru',
		aze: 'Azerbaijani - az\u0259rbaycan dili',
		bam: 'Bambara - bamanankan',
		bak: 'Bashkir - \u0431\u0430\u0448\u04a1\u043e\u0440\u0442 \u0442\u0435\u043b\u0435',
		eus: 'Basque - euskara',
		bel: 'Belarusian - \u0431\u0435\u043b\u0430\u0440\u0443\u0441\u043a\u0430\u044f \u043c\u043e\u0432\u0430',
		ben: 'Bengali, Bangla - \u09ac\u09be\u0982\u09b2\u09be',
		bih: 'Bihari - \u092d\u094b\u091c\u092a\u0941\u0930\u0940',
		bis: 'Bislama - Bislama',
		bos: 'Bosnian - bosanski jezik',
		bre: 'Breton - brezhoneg',
		bul: 'Bulgarian - \u0431\u044a\u043b\u0433\u0430\u0440\u0441\u043a\u0438 \u0435\u0437\u0438\u043a',
		mya: 'Burmese - \u1017\u1019\u102c\u1005\u102c',
		cat: 'Catalan - catal\u00e0',
		cha: 'Chamorro - Chamoru',
		che: 'Chechen - \u043d\u043e\u0445\u0447\u0438\u0439\u043d \u043c\u043e\u0442\u0442',
		nya: 'Chichewa, Chewa, Nyanja - chiChe\u0175a',
		zho: 'Chinese - \u4e2d\u6587 (Zh\u014dngw\u00e9n)',
		chv: 'Chuvash - \u0447\u04d1\u0432\u0430\u0448 \u0447\u04d7\u043b\u0445\u0438',
		cor: 'Cornish - Kernewek',
		cos: 'Corsican - corsu',
		cre: 'Cree - \u14c0\u1426\u1403\u152d\u140d\u140f\u1423',
		hrv: 'Croatian - hrvatski jezik',
		ces: 'Czech - \u010de\u0161tina',
		dan: 'Danish - dansk',
		div: 'Divehi, Dhivehi, Maldivian - \u078b\u07a8\u0788\u07ac\u0780\u07a8',
		dzo: 'Dzongkha - \u0f62\u0fab\u0f7c\u0f44\u0f0b\u0f41',
		epo: 'Esperanto - Esperanto',
		est: 'Estonian - eesti',
		ewe: 'Ewe - E\u028begbe',
		fao: 'Faroese - f\u00f8royskt',
		fij: 'Fijian - vosa Vakaviti',
		fin: 'Finnish - suomi',
		ful: 'Fula, Fulah, Pulaar, Pular - Fulfulde',
		glg: 'Galician - galego',
		kat: 'Georgian - \u10e5\u10d0\u10e0\u10d7\u10e3\u10da\u10d8',
		ell: 'Greek (modern) - \u03b5\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac',
		grn: "Guaran\u00ed - Ava\u00f1e'\u1ebd",
		guj: 'Gujarati - \u0a97\u0ac1\u0a9c\u0ab0\u0abe\u0aa4\u0ac0',
		hat: 'Haitian, Haitian Creole - Krey\u00f2l ayisyen',
		hau: 'Hausa - (Hausa) \u0647\u064e\u0648\u064f\u0633\u064e',
		heb: 'Hebrew (modern) - \u05e2\u05d1\u05e8\u05d9\u05ea',
		her: 'Herero - Otjiherero',
		hin: 'Hindi - \u0939\u093f\u0928\u094d\u0926\u0940',
		hmo: 'Hiri Motu - Hiri Motu',
		hun: 'Hungarian - magyar',
		ina: 'Interlingua - Interlingua',
		ind: 'Indonesian - Bahasa Indonesia',
		ile: 'Interlingue - Originally called Occidental; then Interlingue after WWII',
		gle: 'Irish - Gaeilge',
		ibo: 'Igbo - As\u1ee5s\u1ee5 Igbo',
		ipk: 'Inupiaq - I\u00f1upiaq',
		ido: 'Ido - Ido',
		isl: 'Icelandic - \u00cdslenska',
		iku: 'Inuktitut - \u1403\u14c4\u1483\u144e\u1450\u1466',
		jpn: 'Japanese - \u65e5\u672c\u8a9e (\u306b\u307b\u3093\u3054)',
		jav: 'Javanese - \ua9a7\ua9b1\ua997\ua9ae',
		kal: 'Kalaallisut, Greenlandic - kalaallisut',
		kan: 'Kannada - \u0c95\u0ca8\u0ccd\u0ca8\u0ca1',
		kau: 'Kanuri - Kanuri',
		kas: 'Kashmiri - \u0915\u0936\u094d\u092e\u0940\u0930\u0940',
		kaz: 'Kazakh - \u049b\u0430\u0437\u0430\u049b \u0442\u0456\u043b\u0456',
		khm: 'Khmer - \u1781\u17d2\u1798\u17c2\u179a',
		kik: 'Kikuyu, Gikuyu - G\u0129k\u0169y\u0169',
		kin: 'Kinyarwanda - Ikinyarwanda',
		kir: 'Kyrgyz - \u041a\u044b\u0440\u0433\u044b\u0437\u0447\u0430',
		kom: 'Komi - \u043a\u043e\u043c\u0438 \u043a\u044b\u0432',
		kon: 'Kongo - Kikongo',
		kor: 'Korean - \ud55c\uad6d\uc5b4',
		kur: 'Kurdish - Kurd\u00ee',
		kua: 'Kwanyama, Kuanyama - Kuanyama',
		lat: 'Latin - latine',
		ltz: 'Luxembourgish, Letzeburgesch - L\u00ebtzebuergesch',
		lug: 'Ganda - Luganda',
		lim: 'Limburgish, Limburgan, Limburger - Limburgs',
		lin: 'Lingala - Ling\u00e1la',
		lao: 'Lao - \u0e9e\u0eb2\u0eaa\u0eb2\u0ea5\u0eb2\u0ea7',
		lit: 'Lithuanian - lietuvi\u0173 kalba',
		lub: 'Luba-Katanga - Tshiluba',
		lav: 'Latvian - latvie\u0161u valoda',
		glv: 'Manx - Gaelg',
		mkd: 'Macedonian - \u043c\u0430\u043a\u0435\u0434\u043e\u043d\u0441\u043a\u0438 \u0458\u0430\u0437\u0438\u043a',
		mlg: 'Malagasy - fiteny malagasy',
		msa: 'Malay - bahasa Melayu',
		mal: 'Malayalam - \u0d2e\u0d32\u0d2f\u0d3e\u0d33\u0d02',
		mlt: 'Maltese - Malti',
		mri: 'M\u0101ori - te reo M\u0101ori',
		mar: 'Marathi (Mar\u0101\u1e6dh\u012b) - \u092e\u0930\u093e\u0920\u0940',
		mah: 'Marshallese - Kajin M\u0327aje\u013c',
		mon: 'Mongolian - \u041c\u043e\u043d\u0433\u043e\u043b \u0445\u044d\u043b',
		nau: 'Nauruan - Dorerin Naoero',
		nav: 'Navajo, Navaho - Din\u00e9 bizaad',
		nde: 'Northern Ndebele - isiNdebele',
		nep: 'Nepali - \u0928\u0947\u092a\u093e\u0932\u0940',
		ndo: 'Ndonga - Owambo',
		nob: 'Norwegian Bokm\u00e5l - Norsk bokm\u00e5l',
		nno: 'Norwegian Nynorsk - Norsk nynorsk',
		nor: 'Norwegian - Norsk',
		iii: 'Nuosu - \ua188\ua320\ua4bf Nuosuhxop',
		nbl: 'Southern Ndebele - isiNdebele',
		oci: 'Occitan - occitan',
		oji: 'Ojibwe, Ojibwa - \u140a\u14c2\u1511\u14c8\u142f\u14a7\u140e\u14d0',
		chu: 'Old Church Slavonic, Church Slavonic, Old Bulgarian - \u0469\u0437\u044b\u043a\u044a \u0441\u043b\u043e\u0432\u0463\u043d\u044c\u0441\u043a\u044a',
		orm: 'Oromo - Afaan Oromoo',
		ori: 'Oriya - \u0b13\u0b21\u0b3c\u0b3f\u0b06',
		oss: 'Ossetian, Ossetic - \u0438\u0440\u043e\u043d \u00e6\u0432\u0437\u0430\u0433',
		pan: '(Eastern) Punjabi - \u0a2a\u0a70\u0a1c\u0a3e\u0a2c\u0a40',
		pli: 'P\u0101li - \u092a\u093e\u0934\u093f',
		fas: 'Persian (Farsi) - \u0641\u0627\u0631\u0633\u06cc',
		pol: 'Polish - j\u0119zyk polski',
		pus: 'Pashto, Pushto - \u067e\u069a\u062a\u0648',
		por: 'Portuguese - Portugu\u00eas',
		que: 'Quechua - Runa Simi',
		roh: 'Romansh - rumantsch grischun',
		run: 'Kirundi - Ikirundi',
		ron: 'Romanian - Rom\u00e2n\u0103',
		rus: 'Russian - \u0420\u0443\u0441\u0441\u043a\u0438\u0439',
		san: 'Sanskrit (Sa\u1e41sk\u1e5bta) - \u0938\u0902\u0938\u094d\u0915\u0943\u0924\u092e\u094d',
		srd: 'Sardinian - sardu',
		snd: 'Sindhi - \u0938\u093f\u0928\u094d\u0927\u0940',
		sme: 'Northern Sami - Davvis\u00e1megiella',
		smo: "Samoan - gagana fa'a Samoa",
		sag: 'Sango - y\u00e2ng\u00e2 t\u00ee s\u00e4ng\u00f6',
		srp: 'Serbian - \u0441\u0440\u043f\u0441\u043a\u0438 \u0458\u0435\u0437\u0438\u043a',
		gla: 'Scottish Gaelic, Gaelic - G\u00e0idhlig',
		sna: 'Shona - chiShona',
		sin: 'Sinhalese, Sinhala - \u0dc3\u0dd2\u0d82\u0dc4\u0dbd',
		slk: 'Slovak - sloven\u010dina',
		slv: 'Slovene - slovenski jezik',
		som: 'Somali - Soomaaliga',
		sot: 'Southern Sotho - Sesotho',
		sun: 'Sundanese - Basa Sunda',
		swa: 'Swahili - Kiswahili',
		ssw: 'Swati - SiSwati',
		swe: 'Swedish - svenska',
		tam: 'Tamil - \u0ba4\u0bae\u0bbf\u0bb4\u0bcd',
		tel: 'Telugu - \u0c24\u0c46\u0c32\u0c41\u0c17\u0c41',
		tgk: 'Tajik - \u0442\u043e\u04b7\u0438\u043a\u04e3',
		tha: 'Thai - \u0e44\u0e17\u0e22',
		tir: 'Tigrinya - \u1275\u130d\u122d\u129b',
		bod: 'Tibetan Standard, Tibetan, Central - \u0f56\u0f7c\u0f51\u0f0b\u0f61\u0f72\u0f42',
		tuk: 'Turkmen - T\u00fcrkmen',
		tgl: 'Tagalog - Wikang Tagalog',
		tsn: 'Tswana - Setswana',
		ton: 'Tonga (Tonga Islands) - faka Tonga',
		tur: 'Turkish - T\u00fcrk\u00e7e',
		tso: 'Tsonga - Xitsonga',
		tat: 'Tatar - \u0442\u0430\u0442\u0430\u0440 \u0442\u0435\u043b\u0435',
		twi: 'Twi - Twi',
		tah: 'Tahitian - Reo Tahiti',
		uig: 'Uyghur - \u0626\u06c7\u064a\u063a\u06c7\u0631\u0686\u06d5\u200e',
		ukr: 'Ukrainian - \u0423\u043a\u0440\u0430\u0457\u043d\u0441\u044c\u043a\u0430',
		urd: 'Urdu - \u0627\u0631\u062f\u0648',
		uzb: 'Uzbek - O\u02bbzbek',
		ven: 'Venda - Tshiven\u1e13a',
		vie: 'Vietnamese - Ti\u1ebfng Vi\u1ec7t',
		vol: 'Volap\u00fck - Volap\u00fck',
		wln: 'Walloon - walon',
		cym: 'Welsh - Cymraeg',
		wol: 'Wolof - Wollof',
		fry: 'Western Frisian - Frysk',
		xho: 'Xhosa - isiXhosa',
		yid: 'Yiddish - \u05d9\u05d9\u05b4\u05d3\u05d9\u05e9',
		yor: 'Yoruba - Yor\u00f9b\u00e1',
		zha: 'Zhuang, Chuang - Sa\u026f cue\u014b\u0185',
		zul: 'Zulu - isiZulu'
	}
};
